Name: geom
Version: 6.3.1.8
Release: 2.svn222%{dist}
Summary: SALOME Geometry Module

# This library is LGPLv2 but links against the non-free OCE library
License: LGPLv2 with exception
URL: http://sourceforge.net/projects/salomegeometry

# Source is svn checkout since the last release is too old:
# https://salomegeometry.svn.sourceforge.net/svnroot/salomegeometry/trunk
Source0: %{name}-%{version}-svn222.tar.gz

Patch0: geom-cmake.patch
Patch1: geom-includes.patch

BuildRequires: cmake
BuildRequires: OCE-devel
BuildRequires: libXmu-devel
BuildRequires: freeimage-devel
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: dos2unix


%description
A complete OpenCascade - OCAF based CAD framework. Note that this is not
the original SALOME GEOM project but an effort to create a standalone
framework based on the existing one from SALOME project, with the
addition of extra functionality.


%package doc
Summary:        Development documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Development documentation for %{name}.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p1

dos2unix -k LICENCE.lgpl.txt

chmod 664 inc/GEOMImpl_FaceDriver.hxx
chmod 664 inc/GEOMImpl_IFace.hxx
chmod 664 src/GEOMImpl/GEOMImpl_FaceDriver.cpp


%build
rm -rf build && mkdir build && pushd build
LDFLAGS='-Wl,--as-needed'; export LDFLAGS
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       ..

make %{?_smp_mflags}

# Build documentation
make doc
popd

# Remove install script since we don't need it.
rm -f doc/html/installdox


%install
pushd build
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc LICENCE.lgpl.txt README.LINUX
%{_libdir}/*.so.*

%files doc
%doc doc/html

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Jan 24 2012 Milos Komarcevic <kmilos@gmail.com> - 6.3.1.8-2.svn222
- Corrected license
- Added missing BRs

* Sun Jan 22 2012 Milos Komarcevic <kmilos@gmail.com> - 6.3.1.8-1.svn222
- Initial packaging
